log4shib::threading(3)

NAME
log4shib::threading

SYNOPSIS

  Classes
class MSMutex
A simple object wrapper around CreateMutex() and DeleteMutex()
class MSScopedLock
A simple object wrapper around WaitForSingleObject() and ReleaseMutex()
class Mutex
class ScopedLock
definition of ScopedLock;
class ThreadLocalDataHolder
This class holds Thread local data of type T, i.e.

  Typedefs
typedef boost::mutex Mutex
Dummy type 'int' for Mutex.
typedef boost::mutex::scoped_lock ScopedLock
Dummy type 'int' defintion of ScopedLock;.

  Functions
static std::string getThreadId ()
Return an identifier for the current thread.

Typedef Documentation

  typedef omni_mutex log4shib::threading::Mutex

Dummy type 'int' for Mutex. A simple, non recursive Mutex.

Yes, this adds a bit of overhead in the for of extra memory, but unfortunately 'void' is illegal.

Equivalent to Boost.Threads boost::mutex

  typedef omni_mutex_lock log4shib::threading::ScopedLock

Dummy type 'int' defintion of ScopedLock;. A simple 'resource acquisition is initialization' idiom type lock for Mutex.

Equivalent to Boost.Threads boost::scoped_lock.

Function Documentation

  std::string log4shib::threading::getThreadId () [static]

Return an identifier for the current thread. returns the thread ID

What these identifiers look like is completely up to the underlying thread library.

What these identifiers look like is completely up to the underlying thread library. OmniThreads returns the POSIX thread Id.

Author

Generated automatically by Doxygen for log4shib from the source code.